<?php

namespace Drupal\flashpoint_access_code\Access;

use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Routing\RouteMatchInterface;
use Symfony\Component\Routing\Route;
use Symfony\Component\HttpFoundation\Request;
use Drupal\flashpoint_course\FlashpointCourseUtilities;


class FlashpointAccessCodeAvailable implements AccessInterface {

  public function access(Route $route, RouteMatchInterface $route_match, AccountInterface $account) {
    $course = $route_match->getParameter('group');
    // Check that access codes are enabled for this course.
    if ($course->hasField('field_enable_access_codes')) {
      $enable = $course->get('field_enable_access_codes')->getValue();
      $enable = array_shift($enable);
      if (isset($enable['value']) && $enable['value']) {
        return AccessResult::allowed();
      }
    }
    return AccessResult::forbidden();
  }
}