<?php

namespace Drupal\flashpoint_access_code;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Defines a class to build a listing of Flashpoint access code usage entities.
 *
 * @ingroup flashpoint_access_code
 */
class FlashpointAccessCodeUsageListBuilder extends EntityListBuilder {


  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('Flashpoint access code usage ID');
    $header['name'] = $this->t('Name');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var $entity \Drupal\flashpoint_access_code\Entity\FlashpointAccessCodeUsage */
    $row['id'] = $entity->id();
    $row['name'] = Link::createFromRoute(
      $entity->label(),
      'entity.flashpoint_access_code_usage.edit_form',
      ['flashpoint_access_code_usage' => $entity->id()]
    );
    return $row + parent::buildRow($entity);
  }

}
